Licenses
All operations require authentication.
2 operationsv1/saas/csp2
List orderable licensesAlpha
GET
/1.0/ saas/ csp2/ {serviceName}/ orderableLicenses
Returns the IDs of the licenses that can be ordered for the tenant.
Path parameters
service Name
required
string
Service name
Response
200integer []successful operation
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ saas/ csp2/ {serviceName}/ orderableLicenses \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get an orderable licenseAlpha
GET
/1.0/ saas/ csp2/ {serviceName}/ orderableLicenses/ {id}
Returns the name and type of the license, standalone or add-on, the maximum quantity that can be purchased, and whether it allows new subscriptions and new seats.
Path parameters
id
required
integer
Id
service Name
required
string
Service name
Response
200Office Licencesuccessful operation
id
read-only
integer
License unique identifier
licence Type
read-only
License Type Enum
License's type, indicates if the licence is standalone or an addon
Values
ADDONNON-SPECIFIClimit
read-only
integer
Maximum purchasable license
name
read-only
string
License name
new Seats Allowed
read-only
boolean
Whether or not it is possible to add new seats on subscriptions of this licence type
new Subscriptions Allowed
read-only
boolean
Whether or not this licence type is allowed for new subscriptions
Example uses id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ saas/ csp2/ {serviceName}/ orderableLicenses/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "id": 0, "licenceType": "ADDON", "limit": 0, "name": "string", "newSeatsAllowed": true, "newSubscriptionsAllowed": true}